summaryrefslogtreecommitdiff
path: root/package/alix-switch/files/alix-switch.init
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-07-19 10:49:49 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2010-07-19 10:49:49 +0200
commit7907e3ee7302ac3fd428989a07b0df74f0c52853 (patch)
treee6de18488a687707667927065724372b40510d65 /package/alix-switch/files/alix-switch.init
parentb70fdbfbf1139605c22083b647337f2b16f62fc3 (diff)
parent61355d1f054c15673adeb62d32dfd4563f89c165 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'package/alix-switch/files/alix-switch.init')
-rw-r--r--package/alix-switch/files/alix-switch.init27
1 files changed, 27 insertions, 0 deletions
diff --git a/package/alix-switch/files/alix-switch.init b/package/alix-switch/files/alix-switch.init
new file mode 100644
index 000000000..c783a1be5
--- /dev/null
+++ b/package/alix-switch/files/alix-switch.init
@@ -0,0 +1,27 @@
+#!/bin/sh
+#PKG alix-switch
+#INIT 10
+
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${alix_switch:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ alix-switchd -d
+ ;;
+stop)
+ pkill alix-switchd
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 (start|stop|restart)"
+ exit 1
+esac
+exit $?